﻿@page
@model Otus.Teaching.PromoCodeFactory.Razor.Pages.Employes.DetailsModel

@{
    ViewData["Title"] = "Details";
}

<h1>Details</h1>

<div>
    <h4>Employee</h4>
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Employee.FirstName)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Employee.FirstName)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Employee.LastName)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Employee.LastName)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Employee.Email)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Employee.Email)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Employee.AppliedPromocodesCount)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Employee.AppliedPromocodesCount)
        </dd>
    </dl>
</div>
<div>
    <a asp-page="./Edit" asp-route-id="@Model.Employee.Id">Edit</a> |
    <a asp-page="./Index">Back to List</a>
</div>
